from EnemyShips import *
from Weapon import *
import sys

class Ai:

    def __init__(self, ship=None, name=None, values=None):
        if not ship:
            self.ship = BattleDrone()#Ship(maxVel = 1.0,rotateVel = 3.0,  accel = 0.05, friction = 0.1, percision_override=False, weapon = EnemyWeapon)
        else:
            self.ship = ship
        self.ai = None
        self.ai_stack = []
        
        if values.has_key('rotation'):
            self.ship.rotation = values['rotation']

        self.push_ai(name = "Wait", ship = self.ship, values = {})
        self.push_ai(name = name, ship = self.ship, values = values)
        self.pop_ai
        self.dead = False
        
    def update(self, dt=0):
        check = self.ai.update(dt)
        
        if self.ship.dead:
            self.dead = True
        
        if check:
            function, name, values = check
            if function == 2:
                self.pop_ai()
            if function == 1:
                self.push_ai(name = name, ship=self.ship, values = values)
            check = None

    def draw(self):
        self.ai.draw()
        
        
    def push_ai(self, name, ship, values):
        self.ai_stack.append(self.ai)
        try:
            temp_module = __import__(name)
            temp_class = getattr(temp_module,name)
            self.ai = temp_class(ship = self.ship, values = values)
        except:
            print "Error importing AI: ", name
            print sys.exc_info()[0]
            raise
        
    def pop_ai(self):
        self.ai = self.ai_stack.pop()
