
from Ship import *

class BattleDrone(Ship):
    def __init__(self):
        Ship.__init__(self,'scout', size = 32,  maxVel = 1.0,rotateVel = 3.0,  accel = 0.05, friction = 0.1, weapon = EnemyWeapon) 
  

class LaserMine(Ship):
    def __init__(self):
        Ship.__init__(self, 'lasermine', health = 50, size = 20, maxVel = 0.0,rotateVel = 1.5,  accel = 0.0, friction = 0, weapon = EnemyWeapon)  
        
class BigAss(Ship):
    def __init__(self):
        Ship.__init__(self,'mega', health = 300, size = 64,  maxVel = 0.7,rotateVel = 2.0,  accel = 0.05, friction = 0.1, weapon = EnemyWeapon, sensor_range= 400) 

class BattleCruiser(Ship):
    def __init__(self):
        Ship.__init__(self,'behemoth',health = 1500, size = 128,  maxVel = 0.5,rotateVel = 1.5,  accel = 0.05, friction = 0.1, weapon = SuperWeapon, sensor_range= 500) 

    def initEngines(self):
        return [ParticleFountain(size = 20, ttl = 30)] 



#ParticleFountain(image ='ping', thrustVel = 1, size = 20, ttl = 15, rate = 1, particletype = 'RandomParticle')