
from Text import Text
from Image import Image
import globals

import os

textColor = (40,180,40)

startPoint = 200, globals.DHEIGHT - 200
lineSpacing = 30

class Splash:
    def __init__(self,text):        
        lines = text.split("\n")
        
        self.textImages = map(lambda line : Text(line,color=textColor, font=os.path.join('data','StealThisFont.ttf')), lines)
        
    def draw(self):   
        x,y = startPoint        
    
        for image in self.textImages:
            image.draw(pos=[x,y])
            y -= image.height