from Text import Text

class TextChunk:

    def __init__(self, text, fontsize = 24, color = (255,255,255,255), font = None, antialias = 1):
    
    
        lines = text.split("\n")
        self.text_block = map(lambda line : Text(line,color=color, fontsize = fontsize,font = font, antialias = antialias), lines)
        self.height = 0
        self.width = 0
        self.lines = 0
        
        for temp in self.text_block:
            if temp.width > self.width:
                self.width = temp.width
                
            self.height += temp.height
            self.lines += 1
            
    def draw(self, pos=None, width = None, height = None, color=(1,1,1,1), rotation=0, rotationCenter=None):
        x,y = pos

        for image in self.text_block:
            y -= image.height
            image.draw(pos=(x,y), width = width, height = height, color=color, rotation=rotation, rotationCenter=rotationCenter)