from BaseAI import *

"""
Sample values pass:
    data={}
    data['initial']= (0,0)
"""

class Wait(BaseAI):

    def __init__(self, ship, values = {}):
        
        BaseAI.__init__(self, ship)
        
        if not values.has_key('initial'):
            self.ship.pos = [0,0]
        else:
            self.ship.pos = values['initial']
        self.moving_to = self.ship.pos
        
    def update(self, dt = 0):
        self.keep_course(dt)
        return BaseAI.update(self, dt)

    def see_threat(self, target = None):
        self.push_ai("Attack", target)
