from BaseAI import *

"""
Sample values pass:
    data={}
    data['friendly']=ship_to_track
    data['radius']= 5

"""

class Escort(BaseAI):
    
    def __init__(self, ship = None, values = {}):
        self.friendly = None
        self.radius = None
        self.x_off = None
        self.y_off = None

        BaseAI.__init__(self, ship)
        if not values.has_key('friendly'):
            pass
        else:
            radius = values['radius']
            self.friendly = values['friendly']
            self.radius = radius
            self.x_off = radius
            self.y_off = radius
            self.ship.pos = [self.friendly.pos[0]+self.x_off, self.friendly.pos[1]+self.y_off]

    def update(self, dt = 0):
        if (self.ship.dist(ship=self.friendly) < self.radius):
            self.keep_course(dt)
        else:
            self.set_course(self.friendly.pos, dt)
        return BaseAI.update(self, dt)
            
    def see_threat(self, target = None):
        self.push_ai("Attack", target)
